# createDelayedTransaction

### Input

| Argument      | Mandatory | Description                               | Format |
| ------------- | --------- | ----------------------------------------- | ------ |
| addresses     | no        | List of source addresses                  | array  |
| transfers     | yes       | List of wallet RPC orders                 | array  |
| changeAddress | no        | Address to return unused amount in inputs | string |
| fee           | no        | Network fee                               | uint64 |
| anonymity     | no        | Anonymity level                           | uint32 |
| extra         | no        | Extra information for transaction         | string |
| paymentID     | no        | Payment ID for transaction                | string |
| unlockTime    | no        | Unlock time for transaction               | uint64 |

### Output

| Argument        | Description                                         | Format |
| --------------- | --------------------------------------------------- | ------ |
| transactionHash | Transaction hash of the created delayed transaction | string |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/createdelayedtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
